# class GamepadButton

#### package js.html

Available on HTML5

The `GamepadButton` interface defines an individual button of a gamepad or other controller, allowing access to the current state of different types of buttons available on the control device.

Documentation GamepadButton by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/GamepadButton

### Variables

###

`read onlypressed:Bool`

A boolean value indicating whether the button is currently pressed (`true`) or unpressed (`false`).

###

`read onlyvalue:Float`

A double value used to represent the current state of analog buttons, such as the triggers on many modern gamepads. The values are normalized to the range 0.0 —1.0, with 0.0 representing a button that is not pressed, and 1.0 representing a button that is fully pressed.